# CiN KBA-Finder für JTL Shop5

Dieses Plugin erm&ouml;glicht die Artikelsuche durch Vorauswahl eines bestimten Fahrzeuges.

Nach Auswahl werden nur noch solche Artikel angezeigt, die eine dem Fahrzeug entsprechende Schl&uuml;sselnummer als Funktionsattribut zugewiesen haben, oder solche Artikel, die *keine* Schl&uuml;sselnummern zugeordnet haben.

So ist sicher gestellt, dass zu jedem Zeitpunkt alle sinnvoll verf&uuml;gbaren Artikel sichtbar sind.

Voraussetzungen
---------------

### Warenwirtschaft

In der Warenwirtschaft m&uuml;ssen Artikel mit den Schl&uuml;sselnummern der Fahrzeuge, f&uuml;r die der jeweilige Artikel passend ist, verkn&uuml;pft werden. Dies geschieht &uuml;ber ein Funktionsattribut mit dem Attributnamen 'KBANrn'.

Als Attributwert kommt eine einzelne Schl&uuml;sselnummer, oder eine durch Komma getrennte Liste von Schl&uuml;sselnummern in Frage. So ist es leicht m&ouml;glich einen Artikel mit mehreren Fahrzeugen zu verk&uuml;pfen.

### Shop

Nach Installation des Plugins m&uuml;ssen noch entsprechende Stammdaten hinterlegt werden, so dass bei der Fahrzeugsuche nach Hersteller, Modell, Typ und Typ-Details, wie Baujahr und Leistung des Fahrzeuges, eingeschr&auml;nkt werden kann.

Dazu bietet das Plugin zwei Möglichkeiten an:

1.	Durch Angabe ihrer TecDoc-Zugangsdaten. Das Plugin fragt dann nach und nach die Tec-Doc-API ab.

2.	durch Upload eines Gezippten CSV-Datei. In dieser Zip-Datei darf nur diese eine CSV-Datei enthalten sein, wobei der Dateiname keine Rolle spielt. In der CSV-Datei m&uuml;ssen die folgenden Spalten in genau dieser Reihenfolge enthalten sein:

*	Hersteller
*	Modell
*	Typ
*	Hubraum
*	PS
*	KW
*	BjVon, im Format MM.JJJJ
*	BjBis, im Format MM.JJJJ
*	Schl&uuml;sselnummer

Hier ein Beispiel für eine Zeile in dieser Datei:

"AUDI","80 (8C, B4)","2.0 E 16V quattro","1984","140","103","04.1992","12.1994","0588561"

Sollte für ein Fahrzeug das End-Baujahr (BjBis) noch nicht bekannt sein, so ist in der enstprechenden Spalte ein einfacher Punkt zu setzen.

**Wichtig:** die CSV-Datei muss als UTF-8 kodiert sein!
