<?php

declare(strict_types=1);
require __DIR__.'/../../src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

$disabled = unserialize(
  $P->getPDO()
    ->query('SELECT cWert FROM teinstellungen where cName = "caching_types_disabled"')
    ->fetchColumn()
);
if (false === $disabled) {
  $disabled = [];
} else {
  $disabled = array_filter($disabled, static function ($val) {
    return 'cat' !== $val;
  });
}
$disabled[] = 'cat';
$disabled = serialize($disabled);

$stmt = $P->getPDO()->prepare('UPDATE teinstellungen SET cWert = :disabled WHERE cName = "caching_types_disabled"');
$stmt->execute([':disabled' => $disabled]);
