<?php

declare(strict_types=1);
require __DIR__.'/../../src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

if ( ! isset($_COOKIE['cin_kbafinder']) || null === json_decode($_COOKIE['cin_kbafinder'])->current) {
  return;
}

$kbanummer = json_decode($_COOKIE['cin_kbafinder'])->current->kba;
if (null !== $kbanummer) {
  $kbasql = $P->getPDO()->quote($kbanummer, PDO::PARAM_STR);
  $pidx = $P->getPDO()->quote(mb_substr($kbanummer, 0, 2), PDO::PARAM_STR);
  $join = new \JTL\Filter\Join();
  $join->setType('LEFT JOIN');
  $join->setTable('xplugin_cin_kbafinder_helper');
  $join->setOn('tartikel.kArtikel = xplugin_cin_kbafinder_helper.kartikel');

  $args_arr['joins'][] = $join;
  if ($partitioned) {
    $args_arr['conditions'][] = "xplugin_cin_kbafinder_helper.pidx = {$pidx} AND (xplugin_cin_kbafinder_helper.kbanr = {$kbasql} OR xplugin_cin_kbafinder_helper.kartikel IS NULL)";
  } else {
    $args_arr['conditions'][] = "(xplugin_cin_kbafinder_helper.kbanr = {$kbasql} OR xplugin_cin_kbafinder_helper.kartikel IS NULL)";
  }
}
