<link rel="stylesheet" href="{$asseturl}css/kbafinder.css">
<style media="screen">
  .kbafinderSelectionHint {
    background: #eee;
    border: 2px solid {$kbaTreeColor};
  }

  .kbafinder .selectorHeader {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
    cursor: {$kbaselectorHeaderCursor};
  }

  .kbafinder .selectorFields {
    background: {$kbabgColor};
    display: {$kbaselectorFieldsDisplay};
  }

  .kbafinder .fieldArrow {
    background-color: {$kbabgColor};

    border-top: 10px solid {$kbaTreeColor};
  }

  .kbafinder .fields {
    background: {$kbabgColor};
  }

  .kbafinder .fields .nummer {
    background: {$kbaTreeColor};
  }

  @media (min-width: 993px) {
    .kbafinder .fields:not(:first-child)::after {
      color: {$kbatextColor};
    }

    .kbafinder .selectorFields .fields:nth-child(1n+1) {
      border-top: 5px solid {$kbaTreeColor};
    }
  }

  .kbafinder .oder {
    background: {$kbaTreeColor};
    color: {$kbatitleColor};
  }

  @media (min-width: 768px) {
    .kbafinder .hsn_tsn button {
      background: {$kbaTreeColor};
    }
  }

  .kbafinder .fields label {
    color: {$kbatextColor};
  }

  .kbafinder .eurocode a {
    color: {$kbaTreeColor};
  }

  .kbafinder .eurocode button {
    background: {$kbaTreeColor};
  }

  .kbafinder .fieldContent {
    background: {$kbabgColor};
  }

  .kbafinder .fieldHeader {
    background: {$kbabgColor};
  }

  .kbafinder .typesList {
    background: {$kbabgColor};
    color: {$kbatextColor};
  }

  .kbafinder .hsn_tsn_result {
    background: {$kbabgColor};
    border-width: 0 1px 1px 1px;
    border-color: #cecece;
    border-style: solid;
    margin: 0;
    padding-top: 5px;
    padding-bottom: 5px;
    z-index: 100;
  }

  .kbafinder .typetable tbody tr:hover {
    background: {$kbaTreeColor};
  }

  .kbafinder .selectedCar {
    background: {$kbabgColor};
    color: {$kbatextColor};
  }

  .kbafinder span.reset {
    border-color: {$kbaTreeColor};
    color: {$kbaTreeColor};
  }

  .kbafinder a.reset:hover {
    color: {$kbaTreeColor};
  }

  .kbafinder option.reset {
    color: {$kbaTreeColor};
  }

  .kbafinder .selectedCar a {
    color: {$kbatextColor};
  }

  .kbafinder em {
    color: {$kbaTreeColor};
  }

  @media (min-width: 993px) {
    .kbafinder .fields:not(:first-child)::after {
      content: '{$lang['cin_kbafinder_or']}';
      font-size: 0.9em;
      left: -19px;
      position: absolute;
      text-align: center;
      top: 33px;
      width: 40px;
    }

    .kbafinder .selectorFields .fields:not(:first-child) .fieldContent {
      border-left: 2px solid #ccc;
    }
  }

  @media (max-width: 992px) {
    .kbafinder .fields:nth-child(even)::after {
      display: none;
    }

    .kbafinder .selectorFields .fields:nth-child(even) .fieldContent {
      border-left: none;
    }
  }

  .lock {
    background-color: rgba(0, 0, 0, 0.5);
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: fixed;
    top: 0;
    transition: opacity 0.25s ease-in-out;
    width: 100%;
    z-index: 10000;
  }

  .lock.show {
    opacity: 1;
  }

  .lock-inner {
    background-color: rgba(255, 255, 255, 0.75);
    border-radius: 15px;
    padding: 30px;
    position: fixed;
    min-width: 100px;
    min-height: 100px;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
  }

  .lock-inner .message {
    font-weight: bold;
    margin-bottom: 20px;
  }
</style>
<script>
  var cin_kbafinder_lang = {$lang|json_encode};
  var cin_kbafinder_cfg = {$cfg|json_encode};
  var cin_kbafinder_sv = '{$application_version}';
  function versionCompare(v1, v2, options) {
    var lexicographical = options && options.lexicographical,
      zeroExtend = options && options.zeroExtend,
      v1parts = v1.split('.'),
      v2parts = v2.split('.');

    function isValidPart(x) {
      return (lexicographical ? /^\d+[A-Za-z]*$/ : /^\d+$/).test(x);
    }

    if (!v1parts.every(isValidPart) || !v2parts.every(isValidPart)) {
      return NaN;
    }

    if (zeroExtend) {
      while (v1parts.length < v2parts.length) v1parts.push("0");
      while (v2parts.length < v1parts.length) v2parts.push("0");
    }

    if (!lexicographical) {
      v1parts = v1parts.map(Number);
      v2parts = v2parts.map(Number);
    }

    for (var i = 0; i < v1parts.length; ++i) {
      if (v2parts.length == i) {
        return 1;
      }

      if (v1parts[i] == v2parts[i]) {
        continue;
      } else if (v1parts[i] > v2parts[i]) {
        return 1;
      } else {
        return -1;
      }
    }

    if (v1parts.length != v2parts.length) {
      return -1;
    }

    return 0;
  }
</script>
<div id="kbafinder" class="container kbafinder" data-kbatreeurl="{$kbaTreeURL}" data-redirectto="{$redirectTo}"
  data-revealmethod="{$kbaSelectorfiledsRevealMethod}">
  <div class="selectedCar clearfix">
    <div class="col-sm-8 pane">
      <span class="reset" title="{$lang['cin_kbafinder_reset_current']}"><i class="fa fa-trash"
          aria-hidden="true"></i></span>
      <div class="model"></div>
      <div class="specifics"></div>
      <div class="schlusselnummer"></div>
      <a href="#" class="reset">{$lang['cin_kbafinder_reset_current']}</a>
    </div>
    <div class="col-sm-4 pane text-right">
    </div>
  </div>

  <div class="carSelector row">
    <div class="selectorHeader">{$lang['cin_kbafinder_title']}</div>

    <div class="selectorFields">
      <div class="col-md-{12/$blockCount} col-sm-12 fields">
        <div class="fieldArrow d-sm-block"></div>
        {if $blockCount gt 1}
          <div class="fieldHeader center">
            <span class="nummer">{counter start=1 print=true}</span>
          </div>
        {/if}
        <div class="fieldContent marke_modell">
          <label>
            <span>{$lang['cin_kbafinder_make']}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderMarke"
              name="marke">
              <option>{$lang['cin_kbafinder_plchoose']}</option>
            </select>
          </label>
          <label>
            <span>{$lang['cin_kbafinder_model']}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderModelle"
              name="modell" disabled>
              <option disabled selected>---</option>
            </select>
          </label>
          <label class="d-md-none d-lg-none">
            <span>{findlabel}</span>
            <select class="right{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" name="typ" id="kbafinderTypen"
              disabled>
              <option value="">---</option>
            </select>
          </label>
        </div>
      </div>
      {if $cfg.showBlock_2 eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder d-sm-none d-md-none d-lg-none">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow d-sm-block"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter print=true}</span>
          </div>
          <div class="fieldContent hsn_tsn center">
            <label>HSN <input type="text" placeholder="2/2.1" name="hsn" class="iHsnTsn" id="kbaHsn"
                maxlength="4" /></label>
            <label>TSN <input type="text" placeholder="3/2.2" name="tsn" class="iHsnTsn" id="kbaTsn"
                maxlength="3" /></label>
            <a href="#" class="info" title="{$lang['cin_kbafinder_vehicle_select_tooltip']}" id="popoverToggle">i</a>
            <button disabled>{$lang['cin_kbafinder_vehicle_select']}</button>
            <div class="hsn_tsn_result"></div>
          </div>
        </div>
        {/if} {if $cfg['showBlock_3'] eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder d-sm-none d-md-none d-lg-none">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow d-sm-block"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter print=true}</span>
          </div>
          <div class="fieldContent eurocode">
            <label>
              <input type="text" placeholder="{$lang['cin_kbafinder_searchterm']}" class="fullwidthWithButton" />
              <button type="button" name="submitSearch" class="buttonWithInput"><i class="fa fa-search"
                  aria-hidden="true"></i></button>
            </label>
            <span>{$lang['cin_kbafinder_searchterm_description']}</span>
          </div>
        </div>
        {/if} {if $cfg['showBlock_4'] eq "on"}
        <div class="col-md-{12/$blockCount} col-sm-12 fields">
          <div class="oder d-sm-none d-md-none d-lg-none">{$lang['cin_kbafinder_or']}</div>
          <div class="fieldArrow d-sm-block"></div>
          <div class="fieldHeader center">
            <span class="nummer">{counter print=true}</span>
          </div>
          <div class="fieldContent">
            <label>
              <select class="fullwidth{if $cfg['useBSSelectPicker'] eq 'on'} selectpicker{/if}" id="kbafinderZuletzt"
                name="zuletzt" disabled>
                <option value="" disabled selected>{$lang['cin_kbafinder_most_recent']}</option>
                <option value="reset" class="reset">{$lang['cin_kbafinder_reset_current']}</option>
              </select>
            </label>
            <div class="recentCarsSearch"></div>
          </div>
        </div>
      {/if}
      <br style="clear: both" />
    </div>
    <div class="typesList" id="typesList">
      <div class="markeModell" id="markeModell"></div>
      <table class="typetable">
        <thead>
          <tr>
            {if $columns.type}<th>{$lang['cin_kbafinder_type']}</th>{/if}
            {if $columns.from || $columns.to}<th>{$lang['cin_kbafinder_year']}</th>{/if}
            {if $columns.hp || $columns.kw}<th>{$lang['cin_kbafinder_power']}</th>{/if}
            {if $columns.displacement}<th>{$lang['cin_kbafinder_volume']}</th>{/if}
            <th>{$lang['cin_kbafinder_keynumber']}</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
  </div>

  <div class="d-none" id="hsntsnPopoverContent">
    <p>So suchen Sie mit Schl&uuml;sselnummern:</p>
    <p>In unsere Fahrzeugsuche geben Sie bitte die Schl&uuml;sselnummern des gesuchten Fahrzeugs ein.<br> In dem Feld
      <strong>HSN (zu 2 / 2.1)</strong> 4 Stellen und in dem Feld <strong>TSN (zu 3 / 2.2)</strong> die ersten 3
      Stellen.
      <br> Auf folgendem Bild mit 1 und 2 gekennzeichnet:
    </p>
    <p>Beispiel "alter" Fahrzeugschein:</p>
    <p>
      <strong>HSN (Zu 2 / 2.1):</strong> 0600
      <strong>TSN (Zu 3 / 2.2):</strong> 911<br>
      <img class="fullwidth" src="{$imageurl}keynumber_old.jpg" alt="Alter Fahrzeugschein">
    </p>
    <p>Beispiel "neuer" Fahrzeugschein:</p>
    <p>
      <strong>HSN (Zu 2 / 2.1):</strong> 0588
      <strong>TSN (Zu 3 / 2.2):</strong> ACV<br>
      <img class="fullwidth" src="{$imageurl}keynumber_new.jpg" alt="Neuer Fahrzeugschein">
    </p>
  </div>
  <div class="lock">
    <div class="lock-inner">
      <div class="message">{$lang['cin_kbafinder_waitmessage']}</div>
      <img src="{$asseturl}img/813.svg">
    </div>
  </div>
</div>
<script src="{$asseturl}js/string.decodeentities.js" charset="utf-8"></script>
<script src="{$asseturl}js/jq.equalheights.js" charset="utf-8"></script>
<script src="{$asseturl}js/js.cookie.js" charset="utf-8"></script>
<script src="{$asseturl}js/kbafinder.js" charset="utf-8"></script>
<script>
  window.cin_kbafinder_columns = {$columnsJSON};
</script>
