<?php

declare(strict_types=1);

require \dirname(__DIR__, 1).'/src/warmup.php';

$lastUpdate = file_exists(__DIR__.'/lastUpdate.txt') ? trim(file_get_contents(__DIR__.'/lastUpdate.txt')) : '';
$lastUpdate = '' === $lastUpdate ? 'unbekannt' : $lastUpdate;
$smarty->assign('lastUpdate', $lastUpdate);
$smarty->assign('providerIdUrl', $P->getJTlPlugin()->getPaths()->getAdminURL().'providerid.php');
$smarty->assign('uploadurlCSV', $P->getJTlPlugin()->getPaths()->getAdminURL().'uploadCSV.php');
$smarty->assign('imageurl', $P->getJTlPlugin()->getPaths()->getAdminURL().'img/');

$columnSettings = json_decode(file_get_contents($P->getJTlPlugin()->getPaths()->getBasePath().'/common/columns.json'), true);
$smarty->assign('columnSettings', $columnSettings);

$smarty->display(__DIR__.'/template/manage_tecdoc.tpl');
