<div class="tecdocLock"><img src="{$imageurl}load.gif" /></div>
<div class="tecdocupload">
  <div class="row">
    <div class="col-md-8 explain">Hier k&ouml;nnen Sie ihre TecAliance-ProviderID und den API-Key angeben. Diese werden
      verwendet, um
      &uuml;ber die TecDoc REST-API die Refernezdaten zusammenzustellen und im Shop zu hinterlegen. Diese
      Referenzdaten werden regelm&auml;&szlig;ig aktualisiert.</div>
  </div>
  <form class="kbafinder" action="{$providerIdUrl}" method="post">
    <div class="form-group form-row align-items-center">
      <label class="col col-sm-4 col-form-label text-sm-right" for="tecaliance_providerid">Provider-ID</label>
      <div class="col-sm-4">
        <div class="input-group">
          <div class="input-group-prepend">
            <div class="input-group-text">
              <i class="fa fa-address-card"></i>
            </div>
          </div>
          <input type="text" name="providerid" class="form-control" />
        </div>
      </div>
    </div>
    <div class="form-group form-row align-items-center">
      <label class="col col-sm-4 col-form-label text-sm-right" for="tecaliance_providerid">API-Key</label>
      <div class="col-sm-4">
        <div class="input-group">
          <div class="input-group-prepend">
            <div class="input-group-text">
              <i class="fa fa-key"></i>
            </div>
          </div>
          <input type="text" name="apikey" class="form-control" />
        </div>
      </div>
    </div>
    <div class="form-group form-row align-items-center">
      <label class="col col-sm-4 col-form-label text-sm-right" for="tecaliance_providerid">Article Country</label>
      <div class="col-sm-4">
        <div class="input-group">
          <div class="input-group-prepend">
            <div class="input-group-text">
              <i class="fa fa-flag"></i>
            </div>
          </div>
          <input type="text" name="articlecountry" class="form-control" />
        </div>
      </div>
    </div>

    <div class="form-group form-row align-items-center">
      <div class="col-sm-4"></div>
      <div class="col-sm-4">
        <button name="startUpload" class="btn btn-primary">Speichern</button>
        <button name="resetCrawlStore" class="btn btn-warning">temp. Dateien zurücksetzen</button>
      </div>
    </div>
  </form>

  <div class="row oder">
    <span>oder</span>
  </div>

  <div class="row">
    <div class="col-12 csvcolumnselect">
      <div>Alternativ k&ouml;nnen sie hier die CSV Zip-Datei hochladen.
        <br>Diese muss die folgenden Spalten
        in genau dieser Reihenfolge beinhalten:
      </div>
      <table class="csvcolumnselect">
        <tr>
          <td>
            <label><input type="checkbox" name="manufacturer" id="manufacturer" disabled
                checked><span>Hersteller</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="model" id="model" disabled checked><span>Model</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="type" id="type"
                {if $columnSettings.type}checked{/if}><span>Typ</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="displacement" id="displacement" {if $columnSettings.displacement}
                checked {/if}><span>Hubraum</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="hp" id="hp" {if $columnSettings.hp} checked
                {/if}><span>PS</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="kw" id="kw" {if $columnSettings.kw} checked
                {/if}><span>KW</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="from" id="from" {if $columnSettings.from} checked {/if}><span>Baujahr
                von</span></label>
          </td>
          <td>
            <label><input type="checkbox" name="to" id="to" {if $columnSettings.to} checked {/if}><span>Baujahr
                bis</span></label>
          </td>
          <td>
            <label><input type="checkbox" nbame="kbanumber" id="kbanumber" disabled
                checked><span>Schlüsselnummer</span></label>
          </td>
        </tr>
      </table>
    </div>
  </div>

  <label class="col-md-4 control-label">letzter Upload am <span class="lastUpdate">{$lastUpdate}</span></label>


  <form action="{$uploadurlCSV}" method="post" enctype="multipart/form-data" class="form-horizontal kbafinder">
    <div class="form-group form-row align-items-center">
      <label class="col col-sm-4 col-form-label text-sm-right" for="tecdoc_archiv">CSV ZIP-Datei</label>
      <div class="col-sm-4">
        <div class="input-group">
          <input class="input-file" type="file" name="csvfile" accept=".zip">
        </div>
      </div>
    </div>
    <div class="form-group form-row align-items-center">
      <label class="col-4 control-label" for="start_upload"></label>
      <div class="col-4">
        <button name="startUpload" class="btn btn-primary">Hochladen</button>
      </div>
    </div>
  </form>

  <div class="missedLines d-none">
    Fehlerhafte Zeilen, die nicht importiert werden konnten:<br>
    <span></span>
  </div>

</div>
