<?php

declare(strict_types=1);
require __DIR__.'/../../src/warmup.php';

if ( ! $L->canRun()) {
  return;
}

$smarty->assign('kbaTreeURL', $oPlugin->getPaths()->getFrontendURL().'kbatree.php');
$smarty->assign('asseturl', $oPlugin->getPaths()->getFrontendURL());
$smarty->assign('kbaTreeColor', $cfg['contrastColor']);
$smarty->assign('kbabgColor', $cfg['bgColor']);
$smarty->assign('kbatitleColor', $cfg['titleColor']);
$smarty->assign('kbatextColor', $cfg['textColor']);
$smarty->assign('kbaselectorFieldsDisplay', 'static' === $cfg['minimizeable'] ? 'block' : 'none');
$smarty->assign('kbaselectorHeaderCursor', 'dynamic' === $cfg['minimizeable'] && 'click' === $cfg['revealMethod'] ? 'pointer' : 'default');
$smarty->assign('kbaSelectorfiledsRevealMethod', $cfg['revealMethod']);
$smarty->assign('imageurl', $oPlugin->getPaths()->getFrontendURL().'img/');
$smarty->assign('redirectTo', '' !== $cfg['redirectTo'] ? URL_SHOP.$cfg['redirectTo'] : '');
$smarty->assign('lang', $lang);
$smarty->assign('cfg', $cfg);

$blocksShown = 1;
if ('on' === $cfg['showBlock_2']) {
  ++$blocksShown;
}
if ('on' === $cfg['showBlock_3']) {
  ++$blocksShown;
}
if ('on' === $cfg['showBlock_4']) {
  ++$blocksShown;
}
$smarty->assign('blockCount', $blocksShown);

$columns = json_decode(file_get_contents(__DIR__.'/../../common/columns.json'), true);
$smarty->assign('columns', $columns);
$smarty->assign('columnsJSON', json_encode($columns));
$smarty->assign('application_version', APPLICATION_VERSION);

pq($cfg['placementSelector'])
  ->{$cfg['placementMethod']}($smarty->fetch($oPlugin->getPaths()->getFrontendPath().'template/widget.tpl'));

if ('on' !== $cfg['showDefaultSearch']) {
  pq('#search')->addClass('d-none');
}

if ( ! isset($_COOKIE['cin_kbafinder'])) {
  return;
}
