<?php

declare(strict_types=1);

if (isset($_COOKIE['PLUGINDEBUG'])) {
  require __DIR__.'/dev_errors.php';
  if (isset($smarty)) {
    $smarty->error_reporting = \E_ALL;
  }
}

require_once \dirname(__DIR__, 1).'/vendor/autoload.php';
require_once __DIR__.'/smarty_functions.php';

use Cin\KBAFinder5\Licence;
use Cin\KBAFinder5\Plugin;

$L = new Licence();
$P = new Plugin();

$_ = static function ($v) {
  return $v;
};

$partitioned = 1 === (int) $P->getPDO()->query("SELECT count(*) != 0 as partitioned
  FROM information_schema.partitions
  WHERE TABLE_SCHEMA='{$_(DB_NAME)}'
  AND TABLE_NAME = 'xplugin_cin_kbafinder_helper'
  AND PARTITION_NAME IS NOT NULL")
  ->fetchColumn();

$lang = $P->lang();
$cfg = $P->cfg();
